
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #475

audacious depends on a version of libuess that does not exist yet

November 02, 2014 05:42 - Brad Smith

Status: Closed Start date: November 02, 2014

Priority: Major Due date:  

Assignee: Ariadne Conill % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.5   

Description

Audacious 3.5 depends on a version of libguess that does not even exist yet.

History

#1 - November 02, 2014 14:13 - John Lindgren

- Assignee set to Ariadne Conill

#2 - November 02, 2014 14:43 - Thomas Lange

Additionally the download links to older versions are dead.

wget http://distfiles.atheme.org/libguess-1.1.tar.gz

2014-11-02 14:42:26 ERROR 404: Not Found.

#3 - November 02, 2014 19:48 - John Lindgren

The Git repository for libguess is at https://github.com/kaniini/libguess, and libguess 1.2 has been tagged for a while now, but atheme.org never

added a tarball for it.  Possibly we should just create one and host it on audacious-media-player.org.

#4 - November 03, 2014 02:06 - Brad Smith

John Lindgren wrote:

The Git repository for libguess is at https://github.com/kaniini/libguess, and libguess 1.2 has been tagged for a while now, but atheme.org never

added a tarball for it.  Possibly we should just create one and host it on audacious-media-player.org.

 

I am aware of where the Git repo is. Part of putting out releases is rolling a tarball for the release. This is where things have broken down. By the lack

of the tarball a release does not exist to most open source projects.

#5 - November 03, 2014 02:32 - Ariadne Conill

- Status changed from New to Closed

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

May 07, 2025 1/2

https://github.com/kaniini/libguess
https://github.com/kaniini/libguess
http://rabbit.dereferenced.org/~nenolod/distfiles/


#6 - November 03, 2014 03:40 - Brad Smith

William Pitcock wrote:

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

 

Thanks for the reply. I wouldn't have even filed the bug report if I had come across a URL on what looks like the official web site pointing to there.

#7 - November 03, 2014 19:28 - Thomas Lange

William Pitcock wrote:

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

 

Then at least update the links at http://atheme.org/projects/libguess.html.

How are package maintainers supposed to know this URL?
